/* fonts */

@font-face {
  font-family: 'Merriweather';
  src: local('Merriweather-ExtraBold'),
        url('../fonts/merriweather-v33-cyrillic_cyrillic-ext_latin_latin-ext-800.woff2') format('woff2');
  font-display: swap;
  font-weight: 800;
  font-style: normal;
}


@font-face {
  font-family: 'Merriweather';
  src: local('Merriweather-Bold'),
        url('../fonts/merriweather-v33-cyrillic_cyrillic-ext_latin_latin-ext-700.woff2') format('woff2');
  font-display: swap;
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'Merriweather';
  src: local('Merriweather-Regular'),
        url('../fonts/merriweather-v33-cyrillic_cyrillic-ext_latin_latin-ext-500.woff2') format('woff2');
  font-display: swap;
  font-weight: 500;
  font-style: normal;
}

/* vars */

:root {
  --color-main: #000078;
  --color-secondary: #9b111e;
  --color-text: #bda838;
  --color-bg: black;
  --color-hover: #e3703c;
  --color-midlayer: #32051f;
  --weight-basic: 500;
  --button-border: 1px solid #ccc;
  --outline-changed: 1px solid var(--color-hover);
  --outline-offset-changed: 5px;
  --gap-main: 50px;
  --font0: 78px;
  --font1: 50px;
  --font-text: 32px;
  --font-button: 40px;
  --frame: 40vw;
}

/* global */

html {
  box-sizing: border-box;
  scroll-behavior: smooth;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

*:focus-visible {
  outline: 0;
}

a {
  color: inherit;
  text-decoration: none;
}

img {
  max-width: 100%;
}

body {
  margin: 0px;
  font-family: 'Merriweather', sans-serif;
  font-style: normal;
  font-weight: var(--weight-basic);
  background-color: var(--color-bg);
  color: var(--color-text);
}

textarea {
  resize: none;
}

.active {
  color: var(--color-hover);
  font-size: 1.2em;
}

.container {
  width: auto;
  padding: 0 50px;
  margin: 0;
  font-style: normal;
  font-weight: var(--weight-basic);
  line-height: 60px;
  overflow: hidden;  
}

.section-main {
  margin: 0px;  
  padding: var(--gap-main) 0px;
}

.separator-arrowed {
  margin: 0px;  
  padding: 250px;
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.separator-arrowed__div {
  width: 500px;
  height: 100px;
  background: url('../img/separatearrow.svg') no-repeat center;
  background-size: 500px 100px;
}

.separator-waved {
  background-color: var(--color-bg);
  height: 7vw;
}

.second-title {
  margin: 0px;
  text-align: center;
  width: auto;
  letter-spacing: 3px;
  padding: 0px 0px 100px;
  font-size: var(--font0);
  line-height: 1em;
}

.third-title {
  margin: 10px 0px;
  letter-spacing: 2px;
  font-size: var(--font1);
  align-items: flex-start;
}

.text-main {
  margin: 0px 0px var(--gap-main) 0px;
  font-size: var(--font-text);
  text-indent: var(--gap-main);
  text-align: justify;
}

.description {
  text-indent: 0px;
}

.description__mid {
  text-indent: 0px;
  margin: 0px;
}

.price-value {
  color: var(--color-hover);
}

.button-container {
  text-align: center;
}

.button, .adaptive-button {
  position: relative;
  margin-bottom: 20px;
  display: inline-block;
  margin-top: calc((var(--gap-main)) / 2);
  padding: calc((var(--gap-main)) / 2) var(--gap-main);
  background-color: var(--color-bg);
  cursor: url('../cursors/cursor_link-big.svg'), pointer;
  border: 2px solid var(--color-text);
  border-radius: var(--gap-main);
  color: var(--color-text);
  font-size: var(--font-button);
  transition: all 0.5s ease-in-out;
}

.columns2 {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  justify-content: space-between;
  align-content: stretch;
}

.columns2__left {
  width: calc((100% - (var(--gap-main))) / 2);
}

.columns2__right {
  width: calc((100% - (var(--gap-main))) / 2);
}

.columns2__item {
  display: flex;
  flex-direction: row;
}

.prices__item {
  width: 50px;
  height: 50px;
  margin-top: 15px;
  margin-right: calc((var(--gap-main)) / 2);
}

.preloader {
  position: fixed;
  width: 100vw;
  height: 100vh;
  z-index: 200;
  background-color: black;
}

.header {
  width: 100vw;
  height: 150px;
  padding: 0px var(--gap-main);
  margin: 0px;
  position: fixed;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  background: var(--color-bg);
  z-index: 100;
}

.progress-ring {
  margin: -17px 0px 0px -17px;
  padding: 0px;
  height: 220px !important;
  width: 220px !important;
}

.logo-header {
  display: block;
  height: 150px;
  width: 150px;
  background: url('../img/logo.svg') no-repeat center;
  background-size: 120px 120px;
}

.mobile-menu {
  display: none;
}

.main-menu {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.main-menu__list {
  width: auto;
  padding: 1.78vw;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  list-style: none;
  border: 2px solid var(--color-text);
  border-radius: 1.78vw;
}

.main-menu__item {
  font-size: var(--font-text);
}

.main-menu__link {
  border: 2px solid transparent;
  padding: 20px;
  transition: all 0.5s ease-in-out;
  cursor: url('../cursors/cursor_link-big.svg'), pointer;
}

.languages {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.languages__item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-right: 20px;
}

.languages__item:last-child {
  margin-right: 0px;
}

.languages__item_link {
  display: flex;
  flex-direction: column;
  justify-content: center;
  cursor: url('../cursors/cursor_link-big.svg'), pointer;
}

.languages__img {
  margin-bottom: 20px;
}

.languages__text {
  text-align: center;
}

.greeting {
  padding-top: 150px;
  display: flex;
  flex-direction: row;
}

.tutor-name {
  width: 70%;
}

.tutor__title {
  margin-top: 200px;
  font-size: 100px;
  letter-spacing: 5px;
  line-height: 1.5;
  font-weight: var(--weight-basic);
}

.tutor__description {
  font-size: 50px;
  letter-spacing: 3px;
  line-height: 1.5;
  font-weight: var(--weight-basic);
}

.tutor-image {
  position: relative;
  width: 30%;
}

.tutor-image__person {
  position: absolute;
  width: 500px;
  height: 600px;
  top: 200px;
  left: 0px;
  background-image: url('../img/me.png');
  background-position: center;
  background-size: 500px 600px;
  background-repeat: no-repeat;
  z-index: 1;
}

.tutor-image__wheel {
  position: absolute;
  width: 500px;
  height: 500px;
  top: 200px;
  left: 0px;
  background-position: center;
  background-size: 500px 500px;
  background-repeat: no-repeat;  
  z-index: 2;
  animation: spin 10s linear infinite;
}

.wheel-rus {
  background-image: url('../img/wheel-rus.svg');
}

.wheel-eng {
  background-image: url('../img/wheel-eng.svg');
}

.wheel-esp {
  background-image: url('../img/wheel-esp.svg');
  background-size: 500px 500px;
}
        
.canvas {
  position: absolute;
  left: 0px;
  width: 100%;
  height: calc(100vh - 100px);
  z-index: -1;
}

#cursor {
  display: inline-block;
  width: 4px;
  height: 1em;
  background-color: var(--color-text);
  vertical-align: middle;
}

.about-me__picture_rus {
  width: 100%;
  height: 45vw;
  padding: 0px;
  margin: 0px;
  background-image: url('../img/about-me-rus.jpg');
  background-size: 100% 45vw;
  background-repeat: no-repeat;
  border-radius: var(--gap-main);
}

.about-me__picture_eng {
  width: 100%;
  height: 45vw;
  padding: 0px;
  margin: 0px;
  background: url('../img/about-me-eng.jpg') no-repeat right center;
  background-size: 135% 45vw;
  border-radius: var(--gap-main);
}

.about-me__picture_esp {
  width: 100%;
  height: 45vw;
  padding: 0px;
  margin: 0px;
  background: url('../img/about-me-esp.jpg') no-repeat top right;
  background-size: 100% 65vw;
  border-radius: var(--gap-main);
}

.about-me__list {
  width: 100%;
  min-height: 45vw;
  margin: 0px;
  padding: 0px 0px 0px 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  list-style: none;
  align-self: stretch;
}

.about-me__item {
  margin: 0px;
  padding: 0px 0px 0px 50px;
  font-size: var(--font-text);
  background: url('../img/star.svg') no-repeat left center;
  background-size: 30px 30px;
  border: 1px solid var(--color-text);
  border-radius: var(--gap-main);
}

.advantages-list {
  margin: 0px;
  padding: 0px;
  display: flex;
  width: 100%;
  flex-direction: column;
  justify-content: flex-start;
  list-style: none;
  align-self: stretch;
}

.advantages-list__item {
  margin: 0px;
  padding: 25px 0px 25px 80px;
  font-size: var(--font-text);
  background: url('../img/star.svg') no-repeat left center;
  background-size: 70px 70px;
}

.subject {
  margin: 0px;
  padding: var(--gap-main) 0px;
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
}

.subject__img {
  height: 200px;
  width: 300px;
  margin: 0px var(--gap-main) 0px 0px;
  background-size: 300px 500px;
  background-position: center;
  background-repeat: no-repeat;
}

.math {
  background-image: url('../img/Math.svg');  
}

.astronomy {
  background-image: url('../img/Astronomy.svg');
}

.it {
  background-image: url('../img/IT.svg');
}

.economy {
  background-image: url('../img/Economy.svg');
}

.physics {
  background-image: url('../img/Physics.svg');
}

.chemistry {
  background-image: url('../img/Chemistry.svg');
}

.programming {
  background-image: url('../img/Programming.svg');
}

.tech {
  background-image: url('../img/Tech.svg');
}

.education-programm {
  margin: 0px 0px var(--gap-main) 0px;
  display: flex;
  flex-direction: row;
}

.education-programm__icon {
  width: 350px;
  height: 350px;
  margin: 15px var(--gap-main) 0px 0px;
  background-position: center top;
  background-repeat: no-repeat;
}

.ep1 {
  background-image: url('../img/p1.svg');
  background-size: 180px 180px;
}

.ep2 {
  background-image: url('../img/p2.svg');
  background-size: 180px 180px;
}

.ep3 {
  background-image: url('../img/p3.svg');
  background-size: 220px 220px;
}

.ep4 {
  background-image: url('../img/p4.svg');
  background-size: 260px 260px;
}

.ep5 {
  background-image: url('../img/p5.svg');
  background-size: 300px 300px;
}

.ep6 {
  background-image: url('../img/p6.svg');
  background-size: 300px 300px;
}

.ep7 {
  background-image: url('../img/p7.svg');
  background-size: 300px 300px;
}

.education-programm__description {
  padding: 0px;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.yandex_education {
  width: 100%;
  height: 65vw;
  padding: 0px;
  margin: 0px;
  background-image: url('../img/yandex_education.png');
  background-size: 100% 65vw;
  background-repeat: no-repeat;
  border-radius: var(--gap-main);
}

.yandex_education__adaptive-button {
  display: none;
}

.yandex_education-mobile {
  display: none;
}

#prices {
  background: var(--color-main);
}

.accordion__button {
  display: inline-block;
  width: 100%;
  padding: var(--gap-main) 0px var(--gap-main) var(--gap-main);
  cursor: url('../cursors/cursor_link-big.svg'), pointer;
  color: var(--color-text);
  font-size: var(--font1);
  text-align: left;
  border: none;
  background-color: transparent;
  background-image: url('../img/acarrow.svg');
  background-size: 25px 50px;
  background-repeat: no-repeat;
  background-position: left;
  transition: all .2s ease-in-out;
}

.accordion__content {
  max-height: 0px;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  opacity: 0;
  visibility: hidden;
  padding: 0px;
}

.is-open .accordion__content {
  max-height: 100vh;
  opacity: 1;
  visibility: visible;
  height: auto;
  padding: 1rem;
  margin-top: 1rem;
}

.is-open button {
  padding: var(--gap-main) 0px var(--gap-main) calc((var(--gap-main)) * 2);
  background-image: url('../img/acarrowlight.svg');
  background-repeat: no-repeat;
  background-position: left;
  background-size: 100px 50px;
  text-shadow: 0px 0px 10px var(--color-text), 0px 0px 20px var(--color-text), 0px 0px 40px var(--color-text);
}

.booking-content {
  width: 100%;
  aspect-ratio: 832 / 450;
  padding: 0px 200px;
  background: url('../img/booking_frame.svg') no-repeat top;
  background-size: 100% 100%;
}

.booking-form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  aspect-ratio: 832 / 450;
  flex-direction: column;
  padding: 7vw 0px;
}

.input-group {
  display: flex;
  flex-direction: row;
  font-size: calc((var(--font1)) / 2);
  margin-bottom: calc((var(--font1)) / 2);
}

.input-group__label {
  width: 9vw;
  margin: 0px calc((var(--gap-main)) / 2) calc((var(--gap-main)) / 8) 0px;
}

.input-group__input {
  width: 100%;
  padding: calc((var(--gap-main)) / 4);
  border-radius: 50px;
}

.input-group__text {
  width: 100%;
  height: 12vw;
  padding: calc((var(--gap-main)) / 4);
  border-radius: 50px;
}

#scum {
  background-color: var(--color-secondary);
}

.blog-wheel {
  position: relative;
  margin: 0px auto;
  width: 50%;
  aspect-ratio: 1;
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.blog-wheel > div {
  aspect-ratio: 1;
  background-color: transparent;
  background-size: 100% 100%;
  transition: all 0.5s ease-in-out;
}

.blog-wheel > div:hover {
  background-size: 100% 100%;
}

.blog-wheel__education-rus {
  background: url("../img/education50-rus.svg") no-repeat center;
}

.blog-wheel__problems-rus {
  background: url("../img/problems50-rus.svg") no-repeat center;
  transform: rotate(90deg);
}

.blog-wheel__experience-rus {
  background: url("../img/exp50-rus.svg") no-repeat center;
  transform: rotate(180deg);
}

.blog-wheel__news-rus {
  background: url("../img/news50-rus.svg") no-repeat center;
  transform: rotate(-90deg);
}

.blog-wheel__education-rus:hover {
  background: url("../img/education100-rus.svg") no-repeat center;
}

.blog-wheel__problems-rus:hover {
  background: url("../img/problems100-rus.svg") no-repeat center;
  transform: rotate(90deg);
}

.blog-wheel__experience-rus:hover {
  background: url("../img/exp100-rus.svg") no-repeat center;
  transform: rotate(180deg);
}

.blog-wheel__news-rus:hover {
  background: url("../img/news100-rus.svg") no-repeat center;
  transform: rotate(-90deg);
}

.blog-wheel__education-eng {
  background: url("../img/education50-eng.svg") no-repeat center;
}

.blog-wheel__problems-eng {
  background: url("../img/problems50-eng.svg") no-repeat center;
  transform: rotate(90deg);
}

.blog-wheel__experience-eng {
  background: url("../img/exp50-eng.svg") no-repeat center;
  transform: rotate(180deg);
}

.blog-wheel__news-eng {
  background: url("../img/news50-eng.svg") no-repeat center;
  transform: rotate(-90deg);
}

.blog-wheel__education-eng:hover {
  background: url("../img/education100-eng.svg") no-repeat center;
}

.blog-wheel__problems-eng:hover {
  background: url("../img/problems100-eng.svg") no-repeat center;
  transform: rotate(90deg);
}

.blog-wheel__experience-eng:hover {
  background: url("../img/exp100-eng.svg") no-repeat center;
  transform: rotate(180deg);
}

.blog-wheel__news-eng:hover {
  background: url("../img/news100-eng.svg") no-repeat center;
  transform: rotate(-90deg);
}

.blog-wheel__education-esp {
  background: url("../img/education50-esp.svg") no-repeat center;
}

.blog-wheel__problems-esp {
  background: url("../img/problems50-esp.svg") no-repeat center;
  transform: rotate(90deg);
}

.blog-wheel__experience-esp {
  background: url("../img/exp50-esp.svg") no-repeat center;
  transform: rotate(180deg);
}

.blog-wheel__news-esp {
  background: url("../img/news50-esp.svg") no-repeat center;
  transform: rotate(-90deg);
}

.blog-wheel__education-esp:hover {
  background: url("../img/education100-esp.svg") no-repeat center;
}

.blog-wheel__problems-esp:hover {
  background: url("../img/problems100-esp.svg") no-repeat center;
  transform: rotate(90deg);
}

.blog-wheel__experience-esp:hover {
  background: url("../img/exp100-esp.svg") no-repeat center;
  transform: rotate(180deg);
}

.blog-wheel__news-esp:hover {
  background: url("../img/news100-esp.svg") no-repeat center;
  transform: rotate(-90deg);
}

#csph {
  position: absolute;
  width: 100%;
  aspect-ratio: 1;
  top: 0px;
  left: 0px;
  background-color: transparent;
  z-index: -1;
}

.footer {
  position: relative;
  padding: var(--gap-main) 0px;
}

.footer__container {
  display: flex;
  flex-direction: row;
  padding: 0 var(--gap-main);
  margin: 0;
  font-style: normal;
  font-weight: var(--weight-basic);
  line-height: 60px;  
}

.footer__columns {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  width: calc(100% - 300px - var(--gap-main));
}

.footer__left {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 270px;
}

.footer__right {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 270px;
}

.footer-logo {
  background-image: url('../img/logo.svg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  margin: 0px var(--gap-main) 0px 0px;
  width: 300px;
  height: 270px;
}

.footer__copyright {
  font-size: var(--font1);
  margin-right: 20px;
}

.footer__main_text {
  margin: 0px;
  margin-top: -25px;
  margin-bottom: 10px;
  font-size: var(--font0);
  text-indent: 0px;
  text-align: left;
  letter-spacing: 2px;
  line-height: 1.5;
}

.footer__text {
  font-size: 25px;
  white-space: pre;
}

.footer__city {
  margin: -15px 0px;
  font-size: var(--font1);
  text-align: right;
}

.footer__city-small {
  font-size: var(--font-text);
  text-align: right;
  margin-bottom: 50px;
}

.footer__link {
  display: block;
  text-align: right;
  cursor: url('../cursors/cursor_link-big.svg'), pointer;
}

#feedback {
  background-color: var(--color-main);
}

.feedback__button {
  position: relative;
  display: inline-block;
  background-color: var(--color-bg);
  color: var(--color-text);
  border: 5px solid var(--color-text);
  border-radius: 20px;
  padding: 30px;
  margin: 0px 20px 20px 0px;
  font-size: var(--font-button);
  cursor: url('../cursors/cursor_link-big.svg'), pointer;
  transition: all 0.3s ease-in-out;
  z-index: 0;
}

.feedback__button::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1;
  background-image: linear-gradient(
      to right,
      var(--color-main),
      var(--color-secondary)
  );
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  border-radius: 18px;
}

.feedback__button:hover::before {
  opacity: 1;
}

.feedback__button[aria-selected="true"] {
  background-image: linear-gradient(
      to right,
      var(--color-main),
      var(--color-secondary)
  );
  color: var(--color-hover);
  outline: none;
}

section[aria-hidden="true"] {
  display: none;
}

section[aria-hidden="false"] {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  padding: var(--gap-main) 0px 0px 0px;
  background: transparent;
}

.feedback__profi {
  width: 100%;
  height: 2875px;
  background: url("../img/profiru.png") no-repeat center;
}

.feedback__content {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: var(--gap-main);
}

.feedback__site {
  height: 20vw;
  background: url("../img/feedback_frame.svg") no-repeat center;
  background-size: 100%;
}

.feedback__person {
  margin: 3vw 0px 0.78vw 2.5vw;
  display: flex;
  flex-direction: row;
}

.feedback__person-avatar {
  margin-right: calc(var(--gap-main) / 2);
  width: 3vw;
  height: 3vw;
  border-radius: 50%;
}

.feedback__person-avatar-mobile {
    display: none;
}

.feedback__person-name {
  font-size: 1.2vw;
  line-height: 1.2vw;
  margin: 0;
  padding: 0;
}

.feedback__person-date {
  font-size: 0.87vw;
  margin: 0;
  padding: 0;
}

.feedback__text {
  margin: 0px 2.5vw;
  font-size: 0.87vw;
  line-height: 1.5em;
}

.slider {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.slider-container {
  padding: 0px 0px var(--gap-main) 0px;
  position: relative;
  overflow: hidden;
  width: 100vw;
  height: 45vw;
  perspective: 10000px;
}

.slider-buttons {
  position: absolute;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  left: calc((100% - var(--frame)) / 2);
  top: calc(0.65 * var(--frame));
  width: var(--frame);
  height: 200px;
}

.slide {
  position: absolute;
  width: var(--frame);
  height: var(--frame);
  overflow: hidden;
  background-color: var(--color-bg);
}

.feedback-video {
  position: absolute;
  display: none;
}

.frame {
  position: relative;  
  width: 100%;
  height: 100%;
  background: url("../img/feedback_frame_squared.svg") no-repeat center;
  background-size: var(--frame) var(--frame);
  transform: scale(1.01);
  z-index: 5;
}

.top-curtain {
  position: absolute;
  width: 100%;
  height: 50%;
  background: url("../img/curtain.svg") no-repeat center;
  background-size: var(--frame) var(--frame);
}

.bottom-curtain {
  position: absolute;
  width: 100%;
  height: 50%;
  top: 49.4%;
  background: url("../img/curtain.svg") no-repeat center;
  background-size: var(--frame) var(--frame);
  transform: rotate(180deg);
}

#previousButton {
  width: calc(var(--frame) / 10);
  aspect-ratio: 1;
  margin-left: calc(var(--frame) / 8);
  border: none;
  background: url("../img/arrow_slider.svg") no-repeat center;
  background-size: calc(var(--frame) / 10) calc(var(--frame) / 10);
}

#nextButton {
  width: calc(var(--frame) / 10);
  aspect-ratio: 1;
  margin-right: calc(var(--frame) / 8);
  border: none;
  background: url("../img/arrow_slider.svg") no-repeat center;
  background-size: calc(var(--frame) / 10) calc(var(--frame) / 10);
  transform: rotate(180deg);
}

#previousButton:hover, #nextButton:hover{
  width: calc(var(--frame) / 10);
  background: url("../img/arrow_slider_hover.svg") no-repeat center;
  background-size: calc(var(--frame) / 6) calc(var(--frame) / 6);
}

#playButton {
  width: calc(var(--frame) / 10);
  aspect-ratio: 1;
  border: none;
  background: url("../img/play_video.svg") no-repeat center;
  background-size: calc(var(--frame) / 10) calc(var(--frame) / 10);
}

#playButton:hover {
  width: calc(var(--frame) / 6);
  aspect-ratio: 1;
  background: url("../img/play_video_hover.svg") no-repeat center;
  background-size: calc(var(--frame) / 7) calc(var(--frame) / 7);
}

.meteor {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: calc(4 * var(--gap-main));
  z-index: -1;
}